import 'package:delivery_app/Screen/AttendanceList/attendanceListDetail.dart';
import 'package:delivery_app/utils/g.dart' as g;

class Autogenerated {
  late bool success;
  late  List<AttendanceDetail> data;
  late  String message;
  Autogenerated({required this.success,required this.data,required this.message});

  Autogenerated.fromJson(Map<String, dynamic> json) {
    success = json['success'];
    if (json['data'] != null) {
      data = <AttendanceDetail>[];
      json['data'].forEach((v) {
        data.add( AttendanceDetail.fromJson(v));
      });
    }
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['success'] = success;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    data['message'] = message;
    return data;
  }
}

class AttendanceDetail {
  late int id;
  late String driverName;
  late int shopId;
  late String attendanceDate;
  late String attendanceAddress;
  late String attendanceLatlong;
  late int attendanceStatus;
  late String createdAt;
  late String updatedAt;
  late String latitude;
  late String longitude;

  AttendanceDetail(
      {
        required this.id,
        required this.driverName,
        required this.shopId,
        required this.attendanceDate,
        required this.attendanceAddress,
        required this.attendanceLatlong,
        required this.attendanceStatus,
        required this.createdAt,
        required this.longitude,
        required this.latitude,
        required this.updatedAt,

      });

  AttendanceDetail.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    driverName = g.convertModelString(json['driver_name']);
    shopId =json['shop_id'];
    attendanceDate = g.convertModelString(json['attendance_date']);
    attendanceAddress = g.convertModelString(json['attendance_address']);
    attendanceLatlong = g.convertModelString(json['attendance_latlong']);
    attendanceStatus =json['attendance_status'];
    createdAt = g.convertModelString(json['created_at']);
    updatedAt = g.convertModelString(json['updated_at']);
    longitude = json['Longitude'];
    latitude = json['Latitude'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['driver_name'] = driverName;
    data['shop_id'] = shopId;
    data['attendance_date'] = attendanceDate;
    data['attendance_address'] = attendanceAddress;
    data['attendance_latlong'] = attendanceLatlong;
    data['attendance_status'] = attendanceStatus;
    data['created_at'] = createdAt;
    data['updated_at'] = updatedAt;
    data['Longitude'] = longitude;
    data['Latitude'] = latitude;
    return data;
  }
}
